Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515396 - Alerts assigned to the Enterprise doesn't work for MW servers added after profile creation
Summary: Alerts assigned to the Enterprise doesn't work for MW servers added after pro...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Control
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: cfme-future
Assignee: Xavier Canal
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 18:06 UTC by Xavier Canal
Modified: 2018-01-05 23:48 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-04 15:35:16 UTC
Category: ---
Cloudforms Team: Middleware
Target Upstream Version:


Attachments (Terms of Use)

Description Xavier Canal 2017-11-20 18:06:56 UTC
Description of problem:

1. There is an alert profile assigned to 'The Enterprise'.
2. New middleware server is added under a provided already added.
3. This new MW server reach a situation which an alert is triggered.
4. The alert never happen into MiQ side


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add a hawkular provider.
2. Create an alert based on Middleware Server (i.e. JVM Heap Used > 80 %)
3. Create an alert profile including alert just created.
4. Edit the assignments of the profile. Assign it to 'The Enterprise' option.
5. Add a new Middleware Server under the provider on step 1.
6. Refresh items and relationships for that provider. (Make sure the new server is displayed under that provider)
7. Force the new middleware server to reach the alert conditions.

Actual results:
Alert not risen.

Expected results:
Alert risen.

Additional info:


Note You need to log in before you can comment on or make changes to this bug.